## dune-localfunctions 2.6.0

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)

dune_add_latex_document(dune-localfunctions-manual.tex)

create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/dune-localfunctions-manual.pdf
  ${CMAKE_INSTALL_DOCDIR} dune-localfunctions-manual_safepdf)

=== dune/localfunctions/brezzidouglasmarini/CMakeLists.txt ===
add_subdirectory(brezzidouglasmarini1cube2d)
add_subdirectory(brezzidouglasmarini1cube3d)
add_subdirectory(brezzidouglasmarini2cube2d)
add_subdirectory(brezzidouglasmarini1simplex2d)
add_subdirectory(brezzidouglasmarini2simplex2d)

install(FILES
  brezzidouglasmarini1cube2d.hh
  brezzidouglasmarini1cube3d.hh
  brezzidouglasmarini2cube2d.hh
  brezzidouglasmarini1simplex2d.hh
  brezzidouglasmarini2simplex2d.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/brezzidouglasmarini)

=== dune/localfunctions/lagrange/CMakeLists.txt ===
add_subdirectory(p0)
add_subdirectory(p1)
add_subdirectory(p23d)
add_subdirectory(pk1d)
add_subdirectory(pk2d)
add_subdirectory(pk3d)
add_subdirectory(prismp1)
add_subdirectory(prismp2)
add_subdirectory(pyramidp1)
add_subdirectory(pyramidp2)
add_subdirectory(q1)
add_subdirectory(qk)

install(FILES
  emptypoints.hh
  equidistantpoints.hh
  interpolation.hh
  lagrangebasis.hh
  lagrangecoefficients.hh
  p0.hh
  p1.hh
  p23d.hh
  p2.hh
  pk1d.hh
  pk2d.hh
  pk3d.hh
  pk.hh
  pq22d.hh
  pqkfactory.hh
  prismp1.hh
  prismp2.hh
  pyramidp1.hh
  pyramidp2.hh
  q1.hh
  q2.hh
  qk.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange)

=== dune/localfunctions/orthonormal/CMakeLists.txt ===
install(FILES
  orthonormalbasis.hh
  orthonormalcompute.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/orthonormal)

=== dune/localfunctions/raviartthomas/CMakeLists.txt ===
add_subdirectory(raviartthomas02d)
add_subdirectory(raviartthomas0cube2d)
add_subdirectory(raviartthomas0cube3d)
add_subdirectory(raviartthomas12d)
add_subdirectory(raviartthomas1cube2d)
add_subdirectory(raviartthomas1cube3d)
add_subdirectory(raviartthomas2cube2d)
add_subdirectory(raviartthomas3cube2d)
add_subdirectory(raviartthomas4cube2d)
add_subdirectory(raviartthomassimplex)

install(FILES
  raviartthomas02d.hh
  raviartthomas0cube2d.hh
  raviartthomas0cube3d.hh
  raviartthomas12d.hh
  raviartthomas1cube2d.hh
  raviartthomas1cube3d.hh
  raviartthomas2cube2d.hh
  raviartthomas3cube2d.hh
  raviartthomas4cube2d.hh
  raviartthomascube.hh
  raviartthomassimplex.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/raviartthomas)

=== dune/localfunctions/test/CMakeLists.txt ===
dune_add_test(SOURCES brezzidouglasmarinielementtest.cc)

dune_add_test(SOURCES dualmortarelementtest.cc)

dune_add_test(SOURCES hierarchicalelementtest.cc)

dune_add_test(SOURCES testgenericfem.cc)

dune_add_test(SOURCES lagrangeshapefunctiontest.cc)

dune_add_test(SOURCES monomialshapefunctiontest.cc)

dune_add_test(SOURCES rannacherturekelementtest.cc)

dune_add_test(SOURCES raviartthomaselementtest.cc)

dune_add_test(SOURCES refinedelementtest.cc)

dune_add_test(SOURCES virtualshapefunctiontest.cc)

dune_add_test(SOURCES test-edges0.5.cc)

dune_add_test(SOURCES test-finiteelementcache.cc)

dune_add_test(SOURCES globalmonomialfunctionstest.cc)

dune_add_test(SOURCES test-pk2d.cc)

dune_add_test(SOURCES test-power-monomial.cc)

dune_add_test(SOURCES test-q1.cc)

dune_add_test(SOURCES test-q2.cc)

dune_add_test(NAME test-lagrange1
              SOURCES test-lagrange.cc
              COMPILE_DEFINITIONS "CHECKDIM=1")

dune_add_test(NAME test-lagrange2
              SOURCES test-lagrange.cc
              COMPILE_DEFINITIONS "CHECKDIM=2")

dune_add_test(NAME test-lagrange3
              SOURCES test-lagrange.cc
              COMPILE_DEFINITIONS "CHECKDIM=3")

dune_add_test(NAME test-lagrange4
              SOURCES test-lagrange.cc
              COMPILE_DEFINITIONS "CHECKDIM=4"
              TIMEOUT 600)

dune_add_test(NAME test-orthonormal1
              SOURCES test-orthonormal.cc
              COMPILE_DEFINITIONS "CHECKDIM=1")

dune_add_test(NAME test-orthonormal2
              SOURCES test-orthonormal.cc
              COMPILE_DEFINITIONS "CHECKDIM=2")

dune_add_test(NAME test-orthonormal3
              SOURCES test-orthonormal.cc
              COMPILE_DEFINITIONS "CHECKDIM=3")

dune_add_test(NAME test-orthonormal4
              SOURCES test-orthonormal.cc
              COMPILE_DEFINITIONS "CHECKDIM=4")

dune_add_test(NAME test-raviartthomassimplex1
              SOURCES test-raviartthomassimplex.cc
              COMPILE_DEFINITIONS "CHECKDIM=1")

dune_add_test(NAME test-raviartthomassimplex2
              SOURCES test-raviartthomassimplex.cc
              COMPILE_DEFINITIONS "CHECKDIM=2")

dune_add_test(NAME test-raviartthomassimplex3
              SOURCES test-raviartthomassimplex.cc
              COMPILE_DEFINITIONS "CHECKDIM=3")

dune_add_test(NAME test-raviartthomassimplex4
              SOURCES test-raviartthomassimplex.cc
              COMPILE_DEFINITIONS "CHECKDIM=4")

=== dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini1cube2d/CMakeLists.txt ===
install(FILES
  brezzidouglasmarini1cube2dlocalbasis.hh
  brezzidouglasmarini1cube2dlocalcoefficients.hh
  brezzidouglasmarini1cube2dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini1cube2d)

=== dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini2cube2d/CMakeLists.txt ===
install(FILES
  brezzidouglasmarini2cube2dlocalbasis.hh
  brezzidouglasmarini2cube2dlocalcoefficients.hh
  brezzidouglasmarini2cube2dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini2cube2d)

=== dune/localfunctions/dualmortarbasis/dualp1/CMakeLists.txt ===
install(FILES
  dualp1localbasis.hh
  dualp1localcoefficients.hh
  dualp1localinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/dualmortarbasis/dualp1)

=== dune/localfunctions/dualmortarbasis/test/CMakeLists.txt ===
dune_add_test(SOURCES test-biorthogonality.cc)

=== dune/localfunctions/lagrange/p0/CMakeLists.txt ===
install(FILES
  p0localbasis.hh
  p0localcoefficients.hh
  p0localinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/p0)

=== dune/localfunctions/lagrange/pk1d/CMakeLists.txt ===
install(FILES
  pk1dlocalbasis.hh
  pk1dlocalcoefficients.hh
  pk1dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/pk1d)

=== debian/changelog ===
dune-localfunctions (2.6.0-1build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:43:19 +0000

dune-localfunctions (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: now requires cmake >= 3.1

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 03 Apr 2018 02:09:34 +0200

dune-localfunctions (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 06 Jan 2018 20:43:33 +0100

dune-localfunctions (2.6~20171110-1) experimental; urgency=medium

  * New upstream snapshot.
  * dune.module: revert version to 2.6-git
    + new patch: 0001-Revert-bump-version-to-2.7-git-ci-skip.patch
  * d/control: add `Rules-Requires-Root: no`
  * libdune-localfunctions-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 14 Nov 2017 19:30:00 +0100

=== debian/control ===
Source: dune-localfunctions
Section: libs
Priority: optional
Standards-Version: 4.1.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: https://salsa.debian.org/science-team/dune-localfunctions
Vcs-Git: https://salsa.debian.org/science-team/dune-localfunctions.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.6.0),
 libdune-geometry-dev (>= 2.6.0)
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
Rules-Requires-Root: no

Package: libdune-localfunctions-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 libdune-common-dev (>= 2.6.0),
 libdune-geometry-dev (>= 2.6.0)
Suggests: libdune-localfunctions-doc (= ${source:Version})
Description: toolbox for solving PDEs -- local basis (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the interface for the local
 basis and layout of the degrees of freedom.

Package: libdune-localfunctions-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- local basis (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the interface for the local
 basis and layout of the degrees of freedom.

## dune-localfunctions 2.7.0

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)

dune_add_latex_document(
  SOURCE dune-localfunctions-manual.tex
  FATHER_TARGET doc
  INSTALL ${CMAKE_INSTALL_DOCDIR}/comm)

create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/dune-localfunctions-manual.pdf
  ${CMAKE_INSTALL_DOCDIR} dune-localfunctions-manual_safepdf)

=== debian/changelog ===
dune-localfunctions (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:38:05 +0200

dune-localfunctions (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Mon, 25 May 2020 16:17:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
+Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-localfunctions
 Vcs-Git: https://salsa.debian.org/science-team/dune-localfunctions.git
-Homepage: http://www.dune-project.org/
-Build-Depends: debhelper (>= 9),
+Homepage: https://www.dune-project.org/
+Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.6.0),
- libdune-geometry-dev (>= 2.6.0)
+ libdune-common-dev (>= 2.7.0-3),
+ libdune-geometry-dev (>= 2.7.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -19,8 +19,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.6.0),
- libdune-geometry-dev (>= 2.6.0)
+ libdune-common-dev (>= 2.7.0-3),
+ libdune-geometry-dev (>= 2.7.0)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-localfunctions 2.7.1

=== CMakeLists.txt ===
# set up project
project("dune-localfunctions" C CXX)

# general stuff
cmake_minimum_required(VERSION 3.1)

# guess dune-common build dir
if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory(doc)
add_subdirectory(dune)

finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== dune/localfunctions/CMakeLists.txt ===
add_subdirectory(brezzidouglasfortinmarini)
add_subdirectory(brezzidouglasmarini)
add_subdirectory(common)
add_subdirectory(dualmortarbasis)
add_subdirectory(hierarchical)
add_subdirectory(lagrange)
add_subdirectory(meta)
add_subdirectory(mimetic)
add_subdirectory(monomial)
add_subdirectory(orthonormal)
add_subdirectory(rannacherturek)
add_subdirectory(raviartthomas)
add_subdirectory(refined)
add_subdirectory(test)
add_subdirectory(utility)
add_subdirectory(whitney)

install(FILES
  brezzidouglasmarini.hh
  crouzeixraviart.hh
  dualmortarbasis.hh
  hierarchical.hh
  lagrange.hh
  mimetic.hh
  monomial.hh
  orthonormal.hh
  rannacherturek.hh
  raviartthomas.hh
  refined.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions)

# Install some test headers, because they might be useful for tests in
# other modules.
# We do this here as test will not be considered for make install.
install(FILES
  test/geometries.hh
  test/test-fe.hh
  test/test-localfe.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/test)

=== dune/localfunctions/hierarchical/CMakeLists.txt ===
add_subdirectory(hierarchicalp2)
add_subdirectory(hierarchicalp2withelementbubble)
add_subdirectory(hierarchicalprismp2)

install(FILES
  hierarchicalp2.hh
  hierarchicalp2withelementbubble.hh
  hierarchicalprismp2.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/hierarchical)

=== dune/localfunctions/raviartthomas/CMakeLists.txt ===
--- 
+++ 
@@ -20,5 +20,6 @@
   raviartthomas3cube2d.hh
   raviartthomas4cube2d.hh
   raviartthomascube.hh
+  raviartthomaslfecache.hh
   raviartthomassimplex.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/raviartthomas)

=== dune/localfunctions/refined/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(refinedp0)
add_subdirectory(refinedp1)

install(FILES
  refinedp0.hh
  refinedp1.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/refined)

=== dune/localfunctions/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
+dune_add_test(SOURCES bdfmelementtest.cc)
+
 dune_add_test(SOURCES brezzidouglasmarinielementtest.cc)
+
+dune_add_test(SOURCES crouzeixraviartelementtest.cc)
 
 dune_add_test(SOURCES dualmortarelementtest.cc)

=== dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini2simplex2d/CMakeLists.txt ===
install(FILES
  brezzidouglasmarini2simplex2dlocalbasis.hh
  brezzidouglasmarini2simplex2dlocalcoefficients.hh
  brezzidouglasmarini2simplex2dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini2simplex2d)

=== dune/localfunctions/hierarchical/hierarchicalp2withelementbubble/CMakeLists.txt ===
install(FILES
  hierarchicalsimplexp2withelementbubble.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/hierarchical/hierarchicalp2withelementbubble)

=== dune/localfunctions/meta/power/CMakeLists.txt ===
install(FILES
  basis.hh
  coefficients.hh
  interpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/meta/power)

=== dune/localfunctions/rannacherturek/rannacherturek3d/CMakeLists.txt ===
install(FILES
  rannacherturek3dlocalbasis.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/rannacherturek/rannacherturek3d)

=== dune/localfunctions/raviartthomas/raviartthomas02d/CMakeLists.txt ===
install(FILES
  raviartthomas02dlocalbasis.hh
  raviartthomas02dlocalcoefficients.hh
  raviartthomas02dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/raviartthomas/raviartthomas02d)

=== dune/localfunctions/raviartthomas/raviartthomas0cube2d/CMakeLists.txt ===
install(FILES
  raviartthomas0cube2dall.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/raviartthomas/raviartthomas0cube2d)

=== debian/changelog ===
dune-localfunctions (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Mon, 11 Jan 2021 22:31:42 +0100

dune-localfunctions (2.7.1-1) experimental; urgency=medium

  *  New upstream release.

 -- Lisa Julia Nebel <lisa_julia.nebel@tu-dresden.de>  Thu, 07 Jan 2021 09:32:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.0-3),
- libdune-geometry-dev (>= 2.7.0)
+ libdune-common-dev (>= 2.7.1),
+ libdune-geometry-dev (>= 2.7.1)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -19,8 +19,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.7.0-3),
- libdune-geometry-dev (>= 2.7.0)
+ libdune-common-dev (>= 2.7.1),
+ libdune-geometry-dev (>= 2.7.1)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --builddirectory=build

## dune-localfunctions 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-localfunctions" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.13)
 
 # guess dune-common build dir
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -25,4 +25,10 @@
 add_subdirectory(doc)
 add_subdirectory(dune)
 
+if( DUNE_ENABLE_PYTHONBINDINGS )
+  add_subdirectory(python)
+  dune_python_install_package(PATH python)
+endif()
+
+
 finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)

dune_add_latex_document(
  SOURCE dune-localfunctions-manual.tex
  FATHER_TARGET doc
  INSTALL ${CMAKE_INSTALL_DOCDIR}/comm)

=== dune/CMakeLists.txt ===
add_subdirectory(localfunctions)

if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

=== dune/localfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 add_subdirectory(meta)
 add_subdirectory(mimetic)
 add_subdirectory(monomial)
+add_subdirectory(nedelec)
 add_subdirectory(orthonormal)
 add_subdirectory(rannacherturek)
 add_subdirectory(raviartthomas)
@@ -23,6 +24,7 @@
   lagrange.hh
   mimetic.hh
   monomial.hh
+  nedelec.hh
   orthonormal.hh
   rannacherturek.hh
   raviartthomas.hh

=== dune/python/CMakeLists.txt ===
add_subdirectory(localfunctions)

=== python/dune/CMakeLists.txt ===
add_subdirectory(localfunctions)

add_python_targets(dune
  __init__
)

=== dune/localfunctions/brezzidouglasfortinmarini/CMakeLists.txt ===
set(HEADERS
  bdfmcube.hh
)

add_subdirectory(cube)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/brezzidouglasfortinmarini)

=== dune/localfunctions/brezzidouglasmarini/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,8 @@
 add_subdirectory(brezzidouglasmarini2simplex2d)
 
 install(FILES
+  brezzidouglasmarinicube.hh
+  brezzidouglasmarinisimplex.hh
   brezzidouglasmarini1cube2d.hh
   brezzidouglasmarini1cube3d.hh
   brezzidouglasmarini2cube2d.hh

=== dune/localfunctions/common/CMakeLists.txt ===
install(FILES
  interface.hh
  interfaceswitch.hh
  localbasis.hh
  localinterpolation.hh
  localkey.hh
  localfiniteelementtraits.hh
  localfiniteelementvariant.hh
  localfiniteelementvariantcache.hh
  localtoglobaladaptors.hh
  virtualinterface.hh
  virtualwrappers.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/common)

=== dune/localfunctions/lagrange/CMakeLists.txt ===
add_subdirectory(p0)

install(FILES
  emptypoints.hh
  equidistantpoints.hh
  interpolation.hh
  lagrangebasis.hh
  lagrangecoefficients.hh
  lagrangecube.hh
  lagrangelfecache.hh
  lagrangeprism.hh
  lagrangepyramid.hh
  lagrangesimplex.hh
  p0.hh
  p1.hh
  p23d.hh
  p2.hh
  pk1d.hh
  pk2d.hh
  pk3d.hh
  pk.hh
  pq22d.hh
  pqkfactory.hh
  prismp1.hh
  prismp2.hh
  pyramidp1.hh
  pyramidp2.hh
  q1.hh
  q2.hh
  qk.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange)

=== dune/localfunctions/meta/CMakeLists.txt ===
add_subdirectory(power)

install(FILES
  power.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/meta)

=== dune/localfunctions/nedelec/CMakeLists.txt ===
install(FILES
  nedelec1stkindsimplex.hh
  nedelec1stkindcube.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/nedelec)

=== debian/changelog ===
dune-localfunctions (2.8.0-5ubuntu2) jammy; urgency=medium

  * Use -O1 CXXFLAG instead of gcc-10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Nov 2021 10:39:18 +0100

dune-localfunctions (2.8.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Thu, 21 Oct 2021 18:40:46 +0200

dune-localfunctions (2.8.0-4) experimental; urgency=medium

  * Increase tolerance for test-orthonormal even more. This should
    also fix the build failure on armel.

 -- Ansgar <ansgar@debian.org>  Tue, 19 Oct 2021 22:19:02 +0200

dune-localfunctions (2.8.0-3) experimental; urgency=medium

  * d/patches: Increase tolerance for test-orthonormal even more.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Mon, 18 Oct 2021 13:25:43 +0200

dune-localfunctions (2.8.0-2) experimental; urgency=medium

  * d/patches: Add patch to increase tolerance for a unit test

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 15 Oct 2021 16:07:35 +0200

dune-localfunctions (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Set Architecture to "any"

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 08 Oct 2021 13:39:34 +0200

dune-localfunctions (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly set buildsystem to CMake

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 20 Aug 2021 07:09:59 -0400

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
 Vcs-Git: https://salsa.debian.org/science-team/dune-localfunctions.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.1),
- libdune-geometry-dev (>= 2.7.1)
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.8.0),
+ libdune-geometry-dev (>= 2.8.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
 Package: libdune-localfunctions-dev
 Section: libdevel
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.7.1),
- libdune-geometry-dev (>= 2.7.1)
+ libdune-common-dev (>= 2.8.0),
+ libdune-geometry-dev (>= 2.8.0)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

ifneq (,$(filter ppc64el, $(DEB_HOST_ARCH)))
    export CXXFLAGS=-O1
endif

%:
	dh $@ --builddirectory=build --buildsystem=cmake

## dune-localfunctions 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 # set up project
 project("dune-localfunctions" C CXX)
 
@@ -27,7 +30,6 @@
 
 if( DUNE_ENABLE_PYTHONBINDINGS )
   add_subdirectory(python)
-  dune_python_install_package(PATH python)
 endif()

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(doxygen)
 
 dune_add_latex_document(

=== dune/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(localfunctions)
 
 if( DUNE_ENABLE_PYTHONBINDINGS )

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(dune)

dune_python_configure_bindings(
  PATH "."
  CMAKE_METADATA_FLAGS DUNE_OPTS_FILE
)
if(POLICY CMP0087)
  cmake_policy(SET CMP0087 NEW)
endif()

=== dune/localfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(brezzidouglasfortinmarini)
 add_subdirectory(brezzidouglasmarini)
 add_subdirectory(common)

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(localfunctions)

=== dune/localfunctions/brezzidouglasfortinmarini/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 set(HEADERS
   bdfmcube.hh
 )

=== dune/localfunctions/brezzidouglasmarini/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(brezzidouglasmarini1cube2d)
 add_subdirectory(brezzidouglasmarini1cube3d)
 add_subdirectory(brezzidouglasmarini2cube2d)

=== dune/localfunctions/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 install(FILES
   interface.hh
   interfaceswitch.hh

=== dune/localfunctions/dualmortarbasis/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(dualp1)
add_subdirectory(dualq1)
add_subdirectory(test)

install(FILES
  dualp1.hh
  dualq1.hh
  dualpq1factory.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/dualmortarbasis)

=== dune/localfunctions/hierarchical/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(hierarchicalp2)
 add_subdirectory(hierarchicalp2withelementbubble)
 add_subdirectory(hierarchicalprismp2)

=== dune/localfunctions/lagrange/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory(p0)
 
 install(FILES

=== debian/changelog ===
dune-localfunctions (2.9.0-2ubuntu4) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:36 +0200

dune-localfunctions (2.9.0-2ubuntu3) lunar; urgency=medium

  * Lower optimization on s390x

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Jan 2023 10:00:40 +0100

dune-localfunctions (2.9.0-2) unstable; urgency=medium

  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)
  * d: Install moved architecture independent pkgconfig file correctly.
  * Upload to unstable

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 23:15:36 +0100

dune-localfunctions (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/control: Depend on DUNE 2.9.
  * d/upstream: Added metadata file.
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 07 Jan 2023 23:46:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar <ansgar@debian.org>
+Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-localfunctions
 Vcs-Git: https://salsa.debian.org/science-team/dune-localfunctions.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.8.0),
- libdune-geometry-dev (>= 2.8.0)
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.9.0),
+ libdune-geometry-dev (>= 2.9.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -19,8 +20,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.8.0),
- libdune-geometry-dev (>= 2.8.0)
+ libdune-common-dev (>= 2.9.0),
+ libdune-geometry-dev (>= 2.9.0)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

=== debian/rules ===
#! /usr/bin/make -f

ifeq (s390x, $(DEB_HOST_ARCH))
  export DEB_CXXFLAGS_MAINT_APPEND=-O1
endif

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --builddirectory=build --buildsystem=cmake

## dune-localfunctions 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,9 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+cmake_minimum_required(VERSION 3.16)
 
 # set up project
 project("dune-localfunctions" C CXX)
-
-# general stuff
-cmake_minimum_required(VERSION 3.13)
 
 # guess dune-common build dir
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -25,6 +23,11 @@
 # start a dune project with information from dune.module
 dune_project()
 
+# create library target and export it as Dune::LocalFunctions
+dune_add_library(dunelocalfunctions INTERFACE
+  EXPORT_NAME LocalFunctions
+  LINK_LIBRARIES Dune::Geometry)
+
 add_subdirectory(doc)
 add_subdirectory(dune)
 
@@ -33,4 +36,4 @@
 endif()
 
 
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(doxygen)

dune_add_latex_document(
  SOURCE dune-localfunctions-manual.tex
  FATHER_TARGET doc
  INSTALL ${CMAKE_INSTALL_DOCDIR})

=== dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(localfunctions)

if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

=== dune/localfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(brezzidouglasfortinmarini)
 add_subdirectory(brezzidouglasmarini)
 add_subdirectory(common)
 add_subdirectory(dualmortarbasis)
+add_subdirectory(enriched)
 add_subdirectory(hierarchical)
 add_subdirectory(lagrange)
 add_subdirectory(meta)
@@ -23,6 +24,7 @@
   brezzidouglasmarini.hh
   crouzeixraviart.hh
   dualmortarbasis.hh
+  enriched.hh
   hierarchical.hh
   lagrange.hh
   mimetic.hh

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(localfunctions)

=== dune/localfunctions/brezzidouglasfortinmarini/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 set(HEADERS

=== dune/localfunctions/brezzidouglasmarini/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(brezzidouglasmarini1cube2d)

=== dune/localfunctions/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 install(FILES

=== dune/localfunctions/dualmortarbasis/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(dualp1)

=== dune/localfunctions/enriched/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(simplexp1bubble)

install(FILES
  simplexp1bubble.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/enriched)

=== dune/localfunctions/hierarchical/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(hierarchicalp2)
add_subdirectory(hierarchicalp2withelementbubble)
add_subdirectory(hierarchicalprismp2)

install(FILES
  hierarchicalp1withelementbubble.hh
  hierarchicalp2.hh
  hierarchicalp2withelementbubble.hh
  hierarchicalprismp2.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/hierarchical)

=== dune/localfunctions/lagrange/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(p0)

install(FILES
  cache.hh
  emptypoints.hh
  equidistantpoints.hh
  interpolation.hh
  lagrangebasis.hh
  lagrangecoefficients.hh
  lagrangecube.hh
  lagrangelfecache.hh
  lagrangeprism.hh
  lagrangepyramid.hh
  lagrangesimplex.hh
  p0.hh
  pk1d.hh
  pk2d.hh
  pq22d.hh
  pqkfactory.hh
  q1.hh
  q2.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange)

=== debian/changelog ===
dune-localfunctions (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10
  * d/patches: Refreshed patches
  * Depend on DUNE 2.10
  * Added debian/watch file
  * d/control: Depend on pkgconf instead of deprecated pkgconfig
  * d/control: Bumped standards version to 4.7.0 (no changes)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 21:15:37 +0100

dune-localfunctions (2.10~pre20240905-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240905).
  * d/patches: Refreshed patches
  * Depend on DUNE 2.10
  * Added debian/watch file

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 06:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.0
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-localfunctions
 Vcs-Git: https://salsa.debian.org/science-team/dune-localfunctions.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.9.0),
- libdune-geometry-dev (>= 2.9.0)
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ libdune-common-dev (>= 2.10~),
+ libdune-geometry-dev (>= 2.10~)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -20,8 +19,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.9.0),
- libdune-geometry-dev (>= 2.9.0)
+ libdune-common-dev (>= 2.10~),
+ libdune-geometry-dev (>= 2.10~)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-localfunctions 2.11.0~git20251211

=== dune/localfunctions/dualmortarbasis/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

dune_add_test(SOURCES test-biorthogonality.cc LINK_LIBRARIES Dune::LocalFunctions)

=== dune/localfunctions/enriched/cubeq1bubble/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES
  localbasis.hh
  localcoefficients.hh
  localinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/enriched/cubeq1bubble)

=== debian/changelog ===
dune-localfunctions (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/control: Depend on DUNE packages >= 2.11.0~

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 15:23:12 +0100

## dune-localfunctions 2.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,15 @@
 #include the dune macros
 include(DuneMacros)
 
+# deactivate global include-directories
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
+# do not make all suggested dependencies required automatically
+dune_policy(SET DP_SUGGESTED_MODULE_DEPENDENCIES_REQUIRED_DOWNSTREAM NEW)
+
 # start a dune project with information from dune.module
 dune_project()
 
@@ -27,6 +36,9 @@
 dune_add_library(dunelocalfunctions INTERFACE
   EXPORT_NAME LocalFunctions
   LINK_LIBRARIES Dune::Geometry)
+
+# set include directories to target
+dune_default_include_directories(dunelocalfunctions INTERFACE)
 
 add_subdirectory(doc)
 add_subdirectory(dune)

=== dune/localfunctions/common/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   localbasis.hh
   localinterpolation.hh
   localkey.hh
+  localfiniteelement.hh
   localfiniteelementtraits.hh
   localfiniteelementvariant.hh
   localfiniteelementvariantcache.hh

=== dune/localfunctions/enriched/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(cubeq1bubble)
add_subdirectory(simplexp1bubble)

install(FILES
  cubeq1bubble.hh
  simplexp1bubble.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/enriched)

=== dune/localfunctions/meta/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(power)

install(FILES
  discontinuous.hh
  power.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/meta)

=== dune/localfunctions/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,9 @@
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
+# Link all test targets in this directory against Dune::LocalFunctions
+link_libraries(Dune::LocalFunctions)
+
 dune_add_test(SOURCES bdfmelementtest.cc)
 
 dune_add_test(SOURCES brezzidouglasmarinielementtest.cc)
@@ -14,6 +20,8 @@
 
 dune_add_test(SOURCES monomialshapefunctiontest.cc)
 
+dune_add_test(SOURCES nedelec1stkindelementtest.cc)
+
 dune_add_test(SOURCES rannacherturekelementtest.cc)
 
 dune_add_test(SOURCES raviartthomaselementtest.cc)
@@ -28,6 +36,10 @@
 
 dune_add_test(SOURCES globalmonomialfunctionstest.cc)
 
+dune_add_test(SOURCES test-discontinuous.cc)
+
+dune_add_test(SOURCES test-enriched.cc)
+
 dune_add_test(SOURCES test-pk2d.cc)
 
 dune_add_test(SOURCES test-power-monomial.cc)
@@ -35,6 +47,8 @@
 dune_add_test(SOURCES test-q1.cc)
 
 dune_add_test(SOURCES test-q2.cc)
+
+dune_add_test(SOURCES test-lagrangecache.cc)
 
 dune_add_test(NAME test-lagrange1
               SOURCES test-lagrange.cc
@@ -84,3 +98,11 @@
 dune_add_test(NAME test-raviartthomassimplex4
               SOURCES test-raviartthomassimplex.cc
               COMPILE_DEFINITIONS "CHECKDIM=4")
+
+dune_add_test(NAME test-nedelecsimplex2
+              SOURCES test-nedelecsimplex.cc
+              COMPILE_DEFINITIONS "CHECKDIM=2")
+
+dune_add_test(NAME test-nedelecsimplex3
+              SOURCES test-nedelecsimplex.cc
+              COMPILE_DEFINITIONS "CHECKDIM=3")

=== python/dune/localfunctions/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_python_targets(localfunctions
  __init__
)

dune_add_pybind11_module(NAME _localfunctions)
target_link_libraries(_localfunctions PUBLIC Dune::Common Dune::Geometry Dune::LocalFunctions)
if(SKBUILD)
  install(TARGETS _localfunctions LIBRARY DESTINATION python/dune/localfunctions)
endif()

=== debian/changelog ===
dune-localfunctions (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * Added debian/gdb.conf for dep-14 branch name convention
  * Added config for salsa CI
  * Updated debian/copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 06 Feb 2026 17:04:25 +0100

dune-localfunctions (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * Added debian/gdb.conf for dep-14 branch name convention
  * Added config for salsa CI
  * d/control: Depend on DUNE packages >= 2.11.0~

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 19:39:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- libdune-common-dev (>= 2.10~),
- libdune-geometry-dev (>= 2.10~)
+ libdune-common-dev (>= 2.11.0~),
+ libdune-geometry-dev (>= 2.11.0~)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -19,8 +19,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.10~),
- libdune-geometry-dev (>= 2.10~)
+ libdune-common-dev (>= 2.11.0~),
+ libdune-geometry-dev (>= 2.11.0~)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
